#ifndef MODIFY_DEVICE_H
#define MODIFY_DEVICE_H

#include <QtGui/QDialog>
#include "ui_modify_device.h"
#include "ip_addr_edit.h"

class modify_device : public QDialog
{
    Q_OBJECT

public:
    modify_device(QWidget *parent = 0);
    ~modify_device();

private:
    Ui::modify_device ui;

    IpAddrEdit* ip_addr_edit_;

private slots:
    void OnButtonsClick(QAbstractButton* button);
    void OnDeviceTypeChanged(int index);
};

#endif // MODIFY_DEVICE_H
